.TH ldaptor\-getfreenumber 1 "Sat, 28 Mar 2009" "Jan Dittberner" "User Commands"

.SH NAME
ldaptor\-getfreenumber \- get the first free uidNumber from an LDAP server

.SH SYNOPSIS
.B ldaptor-getfreenumber
[\fIoptions\fR]

.SH OPTIONS
.TP
\fB\-\-base=\fR
LDAP base dn
.TP
\fB\-\-service\-location=\fR
Service location, in the form BASEDN:HOST[:PORT]

.SH RESULT
.B ldaptor\-getfreenumber
prints the first free uidNumber in the scope of the specified base dn
of the LDAP server specified by \fB\-\-service\-location\fR.

.SH SEE ALSO
.BR ldaptor\-namingcontexts (1),
.BR ldaptor\-search (1)

.SH AUTHOR
This man page was written by Jan Dittberner <jandd@debian.org> for the
Debian GNU/Linux System (but may be used by others).
